Product Repository APIProduct Picture
Delete local product picture
Security groups:Local Product Creators
Permanently removes the picture from a local product.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
shopId*integer
The shop ID.
Format
int64Range
1 <= valueQuery Parameters
productId*string
The ID of the product.
Length
length <= 65Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/shops/5632/products/local/product-picture?productId=ProductId1"Empty
{
"code": "BadRequest",
"message": "Bad request.",
"status": "BAD_REQUEST"
}{
"code": "Unauthorized",
"message": "Not authorized.",
"status": "UNAUTHORIZED"
}{
"code": "Forbidden",
"message": "API key no longer has access to the account, or their user level doesn’t allow access to the endpoint.",
"status": "FORBIDDEN"
}{
"status": "UNSUPPORTED_MEDIA_TYPE",
"code": "UNSUPPORTED_MEDIA_TYPE",
"message": "Unsupported Media Type client error, the server refuses to accept the request because the payload format is in an unsupported format.",
"timestamp": "2024-06-21T12:36:37.900574",
"path": "/path"
}